import type { Call, RequestDispatch, RequestInitializeContract } from './types';
export declare const mockAccounts: {
    address: string;
    publicKey: string;
    secretKey: string;
    seed: string;
}[];
export declare class MockBlockchainEnv {
    #private;
    constructor(blockNum: number);
    spanwCalls(contractId: string): Call[];
    spawnNewContractReq(callback: (request: RequestInitializeContract) => void, contractId: string): void;
    spawnBlocks(callback: (request: RequestDispatch) => void): void;
}
